curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"notes": [
{
"id": "9bdb00a1-70f8-4838-ae4b-58fa3e7c93b4",
"conversationId": "4461ea29-c09e-4ba8-a751-df86cf0a0eb9",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a",
"type": "INTERNAL",
"content": "Note content 1",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00"
},
{
"id": "10ae8597-029d-4d6b-bf9f-d22c67b4fa42",
"conversationId": "4461ea29-c09e-4ba8-a751-df86cf0a0eb9",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a",
"type": "INTERNAL",
"content": "Note content 2",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00"
}
],
"pagination": {
"totalItems": 2,
"page": 0,
"limit": 10,
"orderBy": "id:ASC"
}
}Get notes
Use this method to get a list of notes from conversation with pagination. More info
Required scope: Enable one of: conversations:manage, conversations:read.
curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"notes": [
{
"id": "9bdb00a1-70f8-4838-ae4b-58fa3e7c93b4",
"conversationId": "4461ea29-c09e-4ba8-a751-df86cf0a0eb9",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a",
"type": "INTERNAL",
"content": "Note content 1",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00"
},
{
"id": "10ae8597-029d-4d6b-bf9f-d22c67b4fa42",
"conversationId": "4461ea29-c09e-4ba8-a751-df86cf0a0eb9",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a",
"type": "INTERNAL",
"content": "Note content 2",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00"
}
],
"pagination": {
"totalItems": 2,
"page": 0,
"limit": 10,
"orderBy": "id:ASC"
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the conversation to get notes from.
Query Parameters
Size of the result page.
x <= 999Number of the current page.
This parameter is used to order your results. If an order is not given, the default order id:asc will be applied. Possible ordering fields are properties. Ordering direction can be specified with modifiers asc for the ascending ordering or desc for the descending one.